Gecode::LinFloatRel Class Reference

Linear relations. More...

`#include <minimodel.hh>`

## Public Member Functions

| LinFloatRel (const LinFloatExpr &l, FloatRelType frt, const LinFloatExpr &r)
| Create linear float relation for expressions l and r.
| LinFloatRel (const LinFloatExpr &l, FloatRelType frt, FloatVal r)
| Create linear float relation for expression l and FloatVal r.
| LinFloatRel (FloatVal l, FloatRelType frt, const LinFloatExpr &r)
| Create linear float relation for FloatVal l and expression r.
void | post (Home home, bool t) const
| Post propagator for relation (if t is false for negated relation).
void | post (Home home, const BoolVar &b, bool t) const
| Post reified propagator for relation (if t is false for negated relation).

## Detailed Description

Linear relations.

Definition at line 896 of file minimodel.hh.

## Constructor & Destructor Documentation

## LinFloatRel() [1/3]

Gecode::LinFloatRel::LinFloatRel | ( | const LinFloatExpr & | l,
|  | FloatRelType | frt,
|  | const LinFloatExpr & | r )

inline

Create linear float relation for expressions l and r.

Definition at line 46 of file float-rel.hpp.

## LinFloatRel() [2/3]

Gecode::LinFloatRel::LinFloatRel | ( | const LinFloatExpr & | l,
|  | FloatRelType | frt,
|  | FloatVal | r )

inline

Create linear float relation for expression l and FloatVal r.

Definition at line 50 of file float-rel.hpp.

## LinFloatRel() [3/3]

Gecode::LinFloatRel::LinFloatRel | ( | FloatVal | l,
|  | FloatRelType | frt,
|  | const LinFloatExpr & | r )

inline

Create linear float relation for FloatVal l and expression r.

Definition at line 54 of file float-rel.hpp.

## Member Function Documentation

## post() [1/2]

void Gecode::LinFloatRel::post | ( | Home | home,
|  | bool | t ) const

inline

Post propagator for relation (if t is false for negated relation).

Definition at line 72 of file float-rel.hpp.

## post() [2/2]

void Gecode::LinFloatRel::post | ( | Home | home,
|  | const BoolVar & | b,
|  | bool | t ) const

inline

Post reified propagator for relation (if t is false for negated relation).

Definition at line 77 of file float-rel.hpp.

The documentation for this class was generated from the following files:

- gecode/minimodel.hh
- gecode/minimodel/float-rel.hpp